MediaWiki:Gadget-Colors.css: Difference between revisions

Kuhlau (talk | contribs)
Kuhlau (talk | contribs)
No edit summary
Line 1: Line 1:
/** Root **/
/** Root **/
:root {
:root, .wgl-lightmode, .wgl-theme-light {
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-page-text-color: #43403D;
     --theme-page-text-color: #43403D;
Line 85: Line 85:
}
}


:root .theme-fandomdesktop-dark , :root .theme-fandommobile-dark {
:root .wgl-darkmode , :root .wgl-theme-dark {
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-page-text-color: #FFFFFF;
     --theme-page-text-color: #FFFFFF;
Line 177: Line 177:


/* Darker version of alert */
/* Darker version of alert */
.theme-fandomdesktop-dark {
.wgl-darkmode, .wgl-theme-dark {
     --theme-alert-highlight: #a90000;
     --theme-alert-highlight: #a90000;
     --theme-alert-highlight--rgb: rgb(169, 0, 0);
     --theme-alert-highlight--rgb: rgb(169, 0, 0);
Line 190: Line 190:


/** Invert filter **/
/** Invert filter **/
.theme-fandomdesktop-dark .invert-dark { filter: invert(1); }
.wgl-darkmode .invert-dark { filter: invert(1); }
.theme-fandomdesktop-light .invert-light { filter: invert(1); }
.wgl-lightmode .invert-light { filter: invert(1); }


/** Theme colors **/
/** Theme colors **/
Line 223: Line 223:


/* Change color of classes that used alert-color as bg color */
/* Change color of classes that used alert-color as bg color */
.theme-fandomdesktop.dark #mw-notification-area.mw-notification.mw-notification-type-error,
.wgl-darkmode #mw-notification-area.mw-notification.mw-notification-type-error,
.theme-fandomdesktop.dark .postedit.mw-notification.mw-notification-type-error,
.wgl-darkmode .postedit.mw-notification.mw-notification-type-error,
.theme-fandomdesktop.dark .wds-table-td-alert,
.wgl-darkmode .wds-table-td-alert,
.theme-fandomdesktop-dark .diff td.diff-deletedline .diffchange {
.wgl-darkmode .diff td.diff-deletedline .diffchange {
     background-color: var(--theme-alert-highlight);
     background-color: var(--theme-alert-highlight);
}
}


.theme-fandomdesktop-dark .diff td.diff-deletedline {
.wgl-darkmode .diff td.diff-deletedline {
     border-color: var(--theme-alert-highlight);
     border-color: var(--theme-alert-highlight);
}
}
Line 268: Line 268:


/* Syntax highlight for source editor */
/* Syntax highlight for source editor */
.theme-fandomdesktop-dark.skin-fandomdesktop .cm {
.wgl-darkmode.skin-fandomdesktop .cm {
     --codemirror-purple: #D2A8FF;
     --codemirror-purple: #D2A8FF;
}
}